﻿using System;
using System.Net;
using System.Windows;
using System.Runtime.Serialization;

namespace Facebook_Tutorial_2.Model
{
    [DataContractAttribute]
    public class SimpleFacebookUser
    {
        public SimpleFacebookUser() { }

        #region UserName Property (string)
        private string _userName;
        [DataMember(Name = "name")]
        public string UserName
        {
            get { return _userName; }
            set { _userName = value; }
        }
        #endregion

        #region ID Property (string)
        private string _id;
        [DataMember(Name = "id")]
        public string ID
        {
            get { return _id; }
            set { _id = value; }
        }
        #endregion

        #region Avatar Property (string)
        public string Avatar
        {
            get { return "https://graph.facebook.com/" + _id + "/picture"; }
        }
        #endregion
    }
}
