﻿using System;
using System.Net;
using System.Windows;
using System.Runtime.Serialization;
using System.Collections.Generic;

namespace Facebook_Tutorial_2.Model
{
    [DataContractAttribute]
    public class CommentsModel
    {
        public CommentsModel() { }

        #region CommentsData Property (List<FacebookComment>)
        private List<FacebookComment> _commentsData;
        [DataMember(Name = "data")]
        public List<FacebookComment> CommentsData
        {
            get { return _commentsData; }
            set { _commentsData = value; }
        }
        #endregion

        #region CommentCount Property (int)
        private int _commentCount;
        [DataMember(Name = "count")]
        public int CommentCount
        {
            get { return _commentCount; }
            set { _commentCount = value; }
        }
        #endregion
    }

    [DataContractAttribute]
    public class FacebookComment
    {
        public FacebookComment() { }

        #region ID Property (string)
        private string _id;
        [DataMember(Name = "id")]
        public string ID
        {
            get { return _id; }
            set { _id = value; }
        }
        #endregion

        #region Author Property (SimpleFacebookUser)
        private SimpleFacebookUser _author;
        [DataMember(Name = "from")]
        public SimpleFacebookUser Author
        {
            get { return _author; }
            set { _author = value; }
        }
        #endregion

        #region Message Property (string)
        private string _message;
        [DataMember(Name = "message")]
        public string Message
        {
            get { return _message; }
            set { _message = value; }
        }
        #endregion

        #region CreatedTime Property (string)
        private string _createdTime;
        [DataMember(Name = "created_time")]
        public string CreatedTime
        {
            get { return _createdTime; }
            set { _createdTime = value; }
        }
        #endregion
    }
}
