﻿using System;
using System.Net;
using System.Windows;
using System.Runtime.Serialization;

namespace Facebook_Tutorial_2.Model
{
    [DataContractAttribute]
    public class FacebookPicture : SimpleFacebookPicture
    {
        public FacebookPicture() { }

        #region ID Property (string)
        private string _id;
        [DataMember(Name = "id")]
        public string ID
        {
            get { return _id; }
            set { _id = value; }
        }
        #endregion

        #region Author Property (SimpleFacebookUser)
        private SimpleFacebookUser _author;
        [DataMember(Name = "from")]
        public SimpleFacebookUser Author
        {
            get { return _author; }
            set { _author = value; }
        }
        #endregion

        #region Message Property (string)
        private string _message;
        [DataMember(Name = "name")]
        public string Message
        {
            get { return _message; }
            set { _message = value; }
        }
        #endregion

        #region SourceThumb Property (string)
        private string _sourceThumb;
        [DataMember(Name = "picture")]
        public string SourceThumb
        {
            get { return _sourceThumb; }
            set { _sourceThumb = value; }
        }
        #endregion

        #region Link Property (string)
        private string _link;
        [DataMember(Name = "link")]
        public string Link
        {
            get { return _link; }
            set { _link = value; }
        }
        #endregion

        #region Icon Property (string)
        private string _icon;
        [DataMember(Name = "icon")]
        public string Icon
        {
            get { return _icon; }
            set { _icon = value; }
        }
        #endregion

        #region CreatedTime Property (string)
        private string _createdTime;
        [DataMember(Name = "created_time")]
        public string CreatedTime
        {
            get { return _createdTime; }
            set { _createdTime = value; }
        }
        #endregion

        #region Position Property (int)
        private int _position;
        [DataMember(Name = "position")]
        public int Position
        {
            get { return _position; }
            set { _position = value; }
        }
        #endregion

        #region UpdatedTime Property (string)
        private string _updatedTime;
        [DataMember(Name = "updated_time")]
        public string UpdatedTime
        {
            get { return _updatedTime; }
            set { _updatedTime = value; }
        }
        #endregion

        #region Likes Property (LikesModel)
        private LikesModel _likes;
        [DataMember(Name = "likes")]
        public LikesModel Likes
        {
            get { return _likes; }
            set { _likes = value; }
        }
        #endregion
    }

    [DataContractAttribute]
    public class SimpleFacebookPicture
    {
        public SimpleFacebookPicture() { }

        #region Height Property (double)
        private double _height;
        [DataMember(Name = "height")]
        public double Height
        {
            get { return _height; }
            set { _height = value; }
        }
        #endregion

        #region Width Property (double)
        private double _width;
        [DataMember(Name = "width")]
        public double Width
        {
            get { return _width; }
            set { _width = value; }
        }
        #endregion

        #region Source Property (string)
        private string _source;
        [DataMember(Name = "source")]
        public string Source
        {
            get { return _source; }
            set { _source = value; }
        }
        #endregion

    }

}
